## freetype-py 2.3.0

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/FreetypePython.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/FreetypePython.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/FreetypePython"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/FreetypePython"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

## freetype-py 2.1.0.post1

=== debian/changelog ===
freetype-py (2.1.0.post1-2) unstable; urgency=medium

  * Team upload.
  * Bump Standards-Version to 4.4.1.
  * Build-Depends: libfreetype6 (tests need libfreetype.so)

 -- Drew Parsons <dparsons@debian.org>  Sun, 13 Oct 2019 21:57:13 +0800

freetype-py (2.1.0.post1-1) unstable; urgency=medium

  * Initial release (Closes: #649623)

 -- Bastian Germann <bastiangermann@fishpost.de>  Fri, 03 May 2019 15:27:19 +0200

=== debian/control ===
Source: freetype-py
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Bastian Germann <bastiangermann@fishpost.de>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               libfreetype6,
               python3,
               python3-pytest,
               python3-setuptools,
               python3-setuptools-scm
Standards-Version: 4.4.1
Homepage: https://github.com/rougier/freetype-py
Vcs-Git: https://salsa.debian.org/python-team/modules/freetype-py.git
Vcs-Browser: https://salsa.debian.org/python-team/modules/freetype-py
Testsuite: autopkgtest-pkg-python

Package: python3-freetype
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, libfreetype6
Recommends: ttf-bitstream-vera
Description: Freetype Python bindings for Python 3
 Freetype Python provides bindings for the FreeType library.
 Only the high-level API is bound.
 .
 All the font access is done through the FreeType2 library,
 which supports many formats.  It can render images of characters with
 high-quality hinting and antialiasing, extract metrics information, and
 extract the outlines of characters in scalable formats like TrueType.
 .
 This is the Python 3 version of the package.

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/freetype-py/freetype-py-(.+)\.(?:zip|tgz|tbz|txz|(?:tar\.(?:gz|bz2|xz)))

## freetype-py 2.2.0

=== debian/changelog ===
freetype-py (2.2.0-1) unstable; urgency=medium

  * Add tests control file
  * Update meta versions
  * Add CI
  * d/control: Build-depend on toml
  * Drop patch
  * Clean .pytest_cache
  * Clean egg-info
  * d/watch: Get upstream from GitHub
  * d/copyright: Add missing info
  * BD on freetype-dev to pass reprotest
  * New upstream version 2.2.0

 -- Bastian Germann <bastiangermann@fishpost.de>  Sun, 02 Aug 2020 20:32:37 +0200

=== debian/control ===
--- 
+++ 
@@ -3,14 +3,16 @@
 Priority: optional
 Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
 Uploaders: Bastian Germann <bastiangermann@fishpost.de>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
-               libfreetype6,
+               libfreetype-dev,
                python3,
                python3-pytest,
                python3-setuptools,
-               python3-setuptools-scm
-Standards-Version: 4.4.1
+               python3-setuptools-scm,
+               python3-toml
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://github.com/rougier/freetype-py
 Vcs-Git: https://salsa.debian.org/python-team/modules/freetype-py.git
 Vcs-Browser: https://salsa.debian.org/python-team/modules/freetype-py

=== debian/tests/control ===
Test-Command: set -e ; for py in $(py3versions -r 2>/dev/null) ; do cd "$AUTOPKGTEST_TMP" ; echo "Testing with $py:" ; $py -c "import freetype; print(freetype)" ; done
Depends: python3-all, @
Restrictions: allow-stderr, superficial
Features: test-name=autodep8-python3

## freetype-py 2.3.0

=== debian/changelog ===
freetype-py (2.3.0-3) unstable; urgency=medium

  * Use pyproject for build
  * Remove superficial test

 -- Bastian Germann <bage@debian.org>  Sat, 15 Oct 2022 09:15:44 +0200

freetype-py (2.3.0-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Update standards version to 4.6.0, no changes needed.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Wed, 25 May 2022 21:36:16 +0100

freetype-py (2.3.0-1) unstable; urgency=medium

  * Remove font recommendation (Closes: #998279)
  * New upstream version 2.3.0

 -- Bastian Germann <bage@debian.org>  Mon, 25 Apr 2022 15:38:33 +0200

freetype-py (2.2.0-2) unstable; urgency=medium

  [ Ondřej Nový ]
  * d/control: Update Maintainer field with new Debian Python Team
    contact address.
  * d/control: Update Vcs-* fields with new Debian Python Team Salsa
    layout.

  [ Bastian Germann ]
  * salsa-ci: allow reprotest fails
  * Set bage's debian.org email
  * Use global Salsa CI config
  * Fix missing-build-dependency-for-dh-addon

 -- Bastian Germann <bage@debian.org>  Tue, 19 Oct 2021 20:42:57 +0200

=== debian/control ===
Source: freetype-py
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Bastian Germann <bage@debian.org>
Build-Depends: debhelper-compat (= 13),
               pybuild-plugin-pyproject,
               libfreetype-dev,
               python3-all:any,
               python3-pytest,
               python3-setuptools,
               python3-setuptools-scm,
               python3-toml
Standards-Version: 4.6.0
Rules-Requires-Root: no
Homepage: https://github.com/rougier/freetype-py
Vcs-Git: https://salsa.debian.org/python-team/packages/freetype-py.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/freetype-py
Testsuite: autopkgtest-pkg-python

Package: python3-freetype
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}, libfreetype6
Description: Freetype Python bindings for Python 3
 Freetype Python provides bindings for the FreeType library.
 Only the high-level API is bound.
 .
 All the font access is done through the FreeType2 library,
 which supports many formats.  It can render images of characters with
 high-quality hinting and antialiasing, extract metrics information, and
 extract the outlines of characters in scalable formats like TrueType.
 .
 This is the Python 3 version of the package.

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/freetype-py-$1\.tar\.gz/ \
https://github.com/rougier/freetype-py/tags .*/?(\d\.\d.\d)\.tar\.gz

## freetype-py 2.4.0

=== debian/changelog ===
freetype-py (2.4.0-2) unstable; urgency=medium

  * Adopted the package. Closes: 1055749
  * bumped Standards-Version: 4.7.0

 -- Georges Khaznadar <georgesk@debian.org>  Wed, 29 May 2024 16:40:58 +0200

freetype-py (2.4.0-1) unstable; urgency=medium

  * New upstream version 2.4.0

 -- Bastian Germann <bage@debian.org>  Mon, 19 Jun 2023 13:03:26 +0200

## freetype-py 2.5.1

=== debian/changelog ===
freetype-py (2.5.1-2) unstable; urgency=medium

  * Team Upload
  * Drop python3-toml from build-dependencies

 -- Alexandre Detiste <tchet@debian.org>  Sun, 27 Jul 2025 15:09:34 +0200

freetype-py (2.5.1-1) unstable; urgency=medium

  * New upstream version 2.5.1

 -- Georges Khaznadar <georgesk@debian.org>  Sun, 08 Sep 2024 16:57:39 +0200

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,16 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Bastian Germann <bage@debian.org>
+Uploaders: Georges Khaznadar <georgesk@debian.org>
 Build-Depends: debhelper-compat (= 13),
+               dh-sequence-python3,
                pybuild-plugin-pyproject,
                libfreetype-dev,
                python3-all:any,
                python3-pytest,
                python3-setuptools,
                python3-setuptools-scm,
-               python3-toml
-Standards-Version: 4.6.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://github.com/rougier/freetype-py
 Vcs-Git: https://salsa.debian.org/python-team/packages/freetype-py.git

=== debian/rules ===
#!/usr/bin/make -f
export DH_VERBOSE=1
export PYBUILD_NAME=freetype
export PYBUILD_TEST_ARGS={dir}/tests/
export SETUPTOOLS_SCM_PRETEND_VERSION=$(DEB_VERSION_UPSTREAM)

%:
	dh $@ --buildsystem=pybuild
